Subject: Re: [PATCH 02/14] net/fec: release mem_region requested in probe in error path and remove

From: Uwe Kleine-König<[email-masked]>
Date: Tue, 15 Feb 2011 21:00:20 +0100

On Tue, Feb 15, 2011 at 10:31:59AM -0800, David Miller wrote:
> From: Uwe Kleine-König <[email-masked]>
> Date: Tue, 15 Feb 2011 09:53:05 +0100
> 
> > On Mon, Feb 14, 2011 at 11:05:49AM -0800, David Miller wrote:
> >> These merge commits look ugly and Linus wants them minimized.
> > Hmm, right, I don't get why this looks uglier for Linus than a merge of
> > a tree that bases on something you already have.  I guess you're too
> > annoyed by now to explain why you think it does.
> 
> What's so hard to understand about the fact that when I pull from
> someone I do not want any commits unrelated to the work that person
> is sending me?
Perfectly fine, I can live with this explanation.  Next time say that at
once :-)
 
> >> Either you follow the rules and my expectations, which is that when you
> >> give me a GIT tree to pull from it's based upon one of my trees, or
> >> I don't pull from you.
> > So I rebased my tree on something older.  It now starts at
> > 
> > 	c69b909 (pch_can: fix module reload issue with MSI)
> > 
> > which is already in net-next/master.
> 
> You need to send a new pull request so that it gets properly tracked
> in patchwork.
Oh, I didn't know that patchwork tracks pull requests, too:

The following changes since commit c69b90920a36b88ab0d649963d81355d865eeb05:

  pch_can: fix module reload issue with MSI (2011-02-08 16:37:20 -0800)

are available in the git repository at:
  git://git.pengutronix.de/git/ukl/linux-2.6.git fec

Uwe Kleine-König (14):
      net/fec: no need to cast arguments for memcpy
      net/fec: release mem_region requested in probe in error path and remove
      net/fec: don't free an irq that failed to be requested
      net/fec: no need to check for validity of ndev in suspend and resume
      net/fec: no need to memzero private data
      net/fec: put the ioremap cookie immediately into a void __iomem pointer
      net/fec: consolidate all i.MX options to CONFIG_ARM
      net/fec: add phy_stop to fec_enet_close
      net/fec: consistenly name struct net_device pointers "ndev"
      net/fec: some whitespace cleanup
      net/fec: reorder functions a bit allows removing forward declarations
      net/fec: provide device for dma functions and matching sizes for map and unmap
      net/fec: postpone unsetting driver data until the hardware is stopped
      net/fec: enable flow control and length check on enet-mac

 drivers/net/Kconfig |    3 +-
 drivers/net/fec.c   |  650 ++++++++++++++++++++++++++-------------------------
 2 files changed, 328 insertions(+), 325 deletions(-)

Thanks
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |